! Cisco configuration template
{% for item in iosfacts_out['ansible_facts']['ansible_net_interfaces'] %}{%
 if item == 'Vlan1' %}
interface {{ item }}
{% else %}
interface {{ item }}
{% if interface[item] is defined %} 
 description *** {{ interface[item]['name'] }} ***
 {% if interface[item]['vlan'] == 0 
 %} switchport mode access
 {% elif interface[item]['vlan'] == 't'
 %} switchport mode trunk
 {% else 
 %} switchport mode access
 switchport access vlan {{ interface[item]['vlan'] }}
 {% endif %}
 no shutdown
 !
 {% else %}
 description *** {{ interface.default.name }} ***
 switchport mode access
 no shutdown
{% endif %}
{% endif %}!
{% endfor %}
